The OpenNET Project / Index page

[ новости/++ | форум | wiki | теги | ]

22.07.2015 15:48  В LibreOffice обеспечена поддержка Wayland

Caolán McNamara из компании Red Hat сообщил об успешном завершении портировния офисного пакета LibreOffice для работы поверх систем, поддерживающих протокол Wayland. Сообщается, что в текущем виде LibreOffice уже вполне пригоден для работы в сеансе gnome-on-wayland в Fedora 22 при запуске с использованием wayland-бэкенда к GTK+ (GDK_BACKEND=wayland ./soffice.bin). Несмотря на то, что пока ещё наблюдается несколько незначительных проблем при использовании LibreOffice с Wayland, в целом уровень поддержки данной системы признан достаточным для закрытия сообщения о проблеме 48903.



  1. Главная ссылка к новости (http://caolanm.blogspot.ru/201...)
Лицензия: CC-BY
Тип: Программы
Ключевые слова: libreoffice
При перепечатке указание ссылки на opennet.ru обязательно
Обсуждение Ajax/Линейный | Раскрыть все сообщения | RSS
 
  • 1.1, ананим.orig (?), 15:56, 22/07/2015 [ответить] [показать ветку] [···]    [к модератору]
  • +1 +/
    Не знаю как у вас, а у меня даже на этой страничке окно вправо съехала :)
     
     
  • 2.25, targitaj (?), 15:16, 23/07/2015 [^] [ответить]    [к модератору]
  • +/
    Аналогично.
     
  • 1.2, Аноним (-), 16:15, 22/07/2015 [ответить] [показать ветку] [···]     [к модератору]
  • +3 +/
    Только что прилетело в гуглоплюс - https www youtube com watch v Aew67AH0G1o ... весь текст скрыт [показать]
     
  • 1.3, Gallardo994 (?), 16:24, 22/07/2015 [ответить] [показать ветку] [···]    [к модератору]  
  • +6 +/
    Всем приложениям нужно делать отдельную поддержку Wayland? Бред полнейший, как по мне.
     
     
  • 2.4, Анонимус_б6_выпуск_3 (?), 16:46, 22/07/2015 [^] [ответить]    [к модератору]  
  • –1 +/
    это же позиционируется, как один из плюсов вяленого по сравнению с иксами
     
     
  • 3.24, КО (?), 09:15, 23/07/2015 [^] [ответить]    [к модератору]  
  • +1 +/
    Не ну для X тоже надо поддержку реализовывать.
     
  • 2.5, Аноним (-), 16:48, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    А что там LO использует? В смысле, вроде фреймворк никакой не использует, следовательно на голых иксах работало, не?
     
     
  • 3.6, pkunk (ok), 17:04, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    VCL вроде, его и портировали.
     
     
  • 4.8, Анонимус_б6_выпуск_3 (?), 17:28, 22/07/2015 [^] [ответить]    [к модератору]  
  • +2 +/
    там не просто VCL, а порт VCL на GTK, который в свою очередь учили на вяленого
     
     
  • 5.10, Аноним (-), 17:39, 22/07/2015 [^] [ответить]    [к модератору]  
  • +3 +/
    Какой ужас. Надеюсь когда нибудь они перейдут на Qt.
     
     
  • 6.11, Неизвестный исполнитель (?), 18:12, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    Начинайте готовить патчи https://wiki.documentfoundation.org/Development/Crazy_Ideas#Replace_all_interf
     
  • 6.17, Анонимус_б6_выпуск_3 (?), 20:50, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    нет, они не хотят, потому что:

    1. Некому этим заниматься
    2. У них сомнения в чистоте лицензии и боязнь юридических проблем из-за этого

     
     
  • 7.20, Аноним (-), 23:17, 22/07/2015 [^] [ответить]    [к модератору]  
  • +2 +/
    >2. У них сомнения в чистоте лицензии и боязнь юридических проблем из-за этого

    LGPLv2.1, LGPLv3, какие могут быть сомнения?

     
  • 6.18, Ан (??), 21:34, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    А годно может получиться. WPS Office как пример неплох.
     
  • 2.9, Stax (ok), 17:36, 22/07/2015 [^] [ответить]    [к модератору]  
  • +12 +/
    > Всем приложениям нужно делать отдельную поддержку Wayland? Бред полнейший, как по мне.

    Нет - просто LibreOffice использовал иксовые API напрямую, а не довольствовался чистым gtk3/qt5.

    Если программа была написана на Xlib и хочет работать с низкоуровневым API - да, ее нужно переписывать на API wayland. Что в этом бредового? Все логично.

    Если программа для гуя использует только чистый gtk3 или qt5 и делает это правильно, не дергая устаревшие API, не делая странных вещей и не делая вызовов Xlib напрямую (что не всегда возможно; некоторые API, напр. gdk_x11_* являются обертками над иксовыми и использоваться не должны), то специально переписывать на wayland не нужно, она будет работать и с html-бэкендом gtk3, и с wayland-бэкендами. Проблема только в том, что реальный мир не настолько идеален, чтобы все так писали программы...

     
     
  • 3.12, Аноним (-), 19:09, 22/07/2015 [^] [ответить]    [к модератору]  
  • +1 +/
    Проблема в том что помимо gtk3 и qt5 есть множество других тулкитов. Например gtk2, qt4 :-)
     
     
  • 4.13, Stax (ok), 19:42, 22/07/2015 [^] [ответить]    [к модератору]  
  • +2 +/
    Ничего, скоро уже вымрут. Как вымерли никому нынче уже не нужные gtk1 и qt3 (кроме идиотского левого софта типа гугл-хрома, который хочет LSB, который тянет qt3, который сам по себе никому уже не нужен.. но это, вроде, в новой версии LSB должны пофиксить. Впрочем, LSB сам по себе тот еще живой труп).
     
     
  • 5.14, Аноним (-), 19:47, 22/07/2015 [^] [ответить]    [к модератору]  
  • –2 +/
    ты чё?! божественный скайп юзает qt3!!1111
     
     
  • 6.15, Stax (ok), 20:03, 22/07/2015 [^] [ответить]    [к модератору]  
  • +1 +/
    Я давно его не видел и не готов сейчас проверить, но по-моему несколько лет назад он у меня работал clearlooks-подобной темой из qt, а она появилась только в qt4. Так что не все так плохо. Осилили qt4, осилят и qt5...
     
     
  • 7.22, Sluggard (ok), 23:48, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    > Я давно его не видел и не готов сейчас проверить, но по-моему
    > несколько лет назад он у меня работал clearlooks-подобной темой из qt,
    > а она появилась только в qt4. Так что не все так
    > плохо. Осилили qt4, осилят и qt5...

    Лечит он тебя просто. )

     
  • 6.21, Sluggard (ok), 23:48, 22/07/2015 [^] [ответить]    [к модератору]  
  • +/
    Для чего это он его использует, если скайп на Qt4 давно?
     
  • 5.19, chinarulezzz (ok), 21:44, 22/07/2015 [^] [ответить]    [к модератору]  
  • –2 +/
    >Ничего, скоро уже вымрут.

    ага, вендекапец.

     
  • 2.23, Аноним (-), 08:46, 23/07/2015 [^] [ответить]    [к модератору]  
  • +1 +/
    > Всем приложениям нужно делать отдельную поддержку Wayland? Бред полнейший, как по мне.

    Всем приложениям нужно было делать отдельную поддержку Xlib? Бред полнейший, как по мне.

     
  • 1.7, Аноним (-), 17:23, 22/07/2015 [ответить] [показать ветку] [···]    [к модератору]  
  • +/
    Заголовок откровенно налезает на верхний ряд кнопок.
     
  • 1.16, Аноним (-), 20:49, 22/07/2015 [ответить] [показать ветку] [···]     [к модератору]  
  • +/
    Вот только в Wayland так и не обестечена поддержка пользования GTK3-софт странн... весь текст скрыт [показать]
     
     
  • 2.26, Ан (??), 18:06, 23/07/2015 [^] [ответить]    [к модератору]  
  • +/
    Это скорее проблемы порта GTK на Wayland.
     
  • 1.27, Аноним (-), 15:06, 24/07/2015 [ответить] [показать ветку] [···]     [к модератору]  
  • +/
    Я не понимаю Почему им так хочется мучиться с со своим VCL и с портированием ег... весь текст скрыт [показать]
     
     
  • 2.28, iCat (ok), 08:25, 25/07/2015 [^] [ответить]    [к модератору]  
  • +/
    >Почему не взять няшный Qt 5 и не переписать на него с нуля? А потом вообще не париться? Да, это займет год-два, ну может 3, но зато мы получим многофункциональный офисный пакет ни чуть не хуже M$ Office.

    Такой Офис называется KOffice. Не взлетел.
    Знаешь - почему?
    QT-only.

     

     Добавить комментарий
    Имя:
    E-Mail:
    Заголовок:
    Текст:


      Закладки на сайте
      Проследить за страницей
    Created 1996-2018 by Maxim Chirkov  
    ДобавитьПоддержатьВебмастеруГИД  
    Hosting by Ihor